org.firebirdsql.jna.fbclient

## Class GDS_QUAD_t

- java.lang.Object
- - com.sun.jna.Structure
  - - org.firebirdsql.jna.fbclient.GDS_QUAD_t

- Direct Known Subclasses:
    GDS_QUAD_t.ByReference, GDS_QUAD_t.ByValue

      public class GDS_QUAD_t
      extends com.sun.jna.Structure

  JNA wrapper for GDS_QUAD_t.

  This file was initially autogenerated by JNAerator, a tool written by Olivier Chafik that uses a few opensource projects..

  This file was modified manually, do not automatically regenerate!

  Since:
    3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GDS_QUAD_t.ByReference`
    `static class` | `GDS_QUAD_t.ByValue`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `com.sun.jna.Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `gds_quad_high`
    `int` | `gds_quad_low`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GDS_QUAD_t()`
    `GDS_QUAD_t(int gds_quad_high, int gds_quad_low)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List` | `getFieldOrder()`

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### gds_quad_high

          public int gds_quad_high

    - #### gds_quad_low

          public int gds_quad_low

  - ### Constructor Detail

    - #### GDS_QUAD_t

          public GDS_QUAD_t()

    - #### GDS_QUAD_t

          public GDS_QUAD_t(int gds_quad_high,
                            int gds_quad_low)

      Parameters:
        `gds_quad_high` - C type : ISC_LONG
        `gds_quad_low` - C type : ISC_ULONG

  - ### Method Detail

    - #### getFieldOrder

          protected java.util.List getFieldOrder()

      Specified by:
        `getFieldOrder` in class `com.sun.jna.Structure`

Copyright © 2001-2021 Jaybird (Firebird JDBC/JCA) team. All rights reserved.